CacheableTreeRequestDataModel (RichFaces JSF components library 3.1.2.GA API)
Keywords: org.richfaces.component.CacheableTreeRequestDataModel class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class CacheableTreeRequestDataModel

    java.lang.Object
      javax.faces.model.DataModel
          org.ajax4jsf.model.ExtendedDataModel
              org.richfaces.model.AbstractTreeDataModel
                  org.richfaces.model.TreeDataModel
                      org.richfaces.component.CacheableTreeDataModel
                          org.richfaces.component.CacheableTreeRequestDataModel

    public class CacheableTreeRequestDataModel

extends CacheableTreeDataModel

Author:
  Nick Belaevski - nbelaevski@exadel.com created 06.04.2007

Field Summary

Fields inherited from class org.richfaces.model.AbstractTreeDataModel
`SEPARATOR`

Constructor Summary
`CacheableTreeRequestDataModel(org.richfaces.model.TreeDataModel model)`

Method Summary
`boolean` | `isTransient()`

Methods inherited from class org.richfaces.component.CacheableTreeDataModel
`getTreeDataModel, isLeaf, setRowData, setTransient, setTreeDataModel, walk, walkModel`

Methods inherited from class org.richfaces.model.TreeDataModel
`doWalk, getRowData, getRowKey, getTreeNode, isRowAvailable, locateTreeNode, locateTreeNode, setRowKey`

Methods inherited from class org.richfaces.model.AbstractTreeDataModel
`getRowCount, getRowIndex, getWrappedData, processElement, setRowIndex, setWrappedData, walk`

Methods inherited from class org.ajax4jsf.model.ExtendedDataModel
`getSerializableModel`

Methods inherited from class javax.faces.model.DataModel
`addDataModelListener, getDataModelListeners, removeDataModelListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CacheableTreeRequestDataModel

    public CacheableTreeRequestDataModel(org.richfaces.model.TreeDataModel model)

Method Detail

### isTransient

    public boolean isTransient()

  Overrides:
    `isTransient` in class `CacheableTreeDataModel`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.